## s3ql 1.5

=== doc/latex/Makefile ===
# Makefile for Sphinx LaTeX output

ALLDOCS = $(basename $(wildcard *.tex))
ALLPDF = $(addsuffix .pdf,$(ALLDOCS))
ALLDVI = $(addsuffix .dvi,$(ALLDOCS))

# Prefix for archive names
ARCHIVEPRREFIX =
# Additional LaTeX options
LATEXOPTS =

all: $(ALLPDF)
all-pdf: $(ALLPDF)
all-dvi: $(ALLDVI)
all-ps: all-dvi
	for f in *.dvi; do dvips $$f; done
all-pdf-ja: $(wildcard *.tex)
	ebb $(wildcard *.pdf *.png *.gif *.jpeg)
	platex -kanji=utf8 $(LATEXOPTS) '$<'
	platex -kanji=utf8 $(LATEXOPTS) '$<'
	platex -kanji=utf8 $(LATEXOPTS) '$<'
	-mendex -U -f -d '$(basename $<).dic' -s python.ist '$(basename $<).idx'
	platex -kanji=utf8 $(LATEXOPTS) '$<'
	platex -kanji=utf8 $(LATEXOPTS) '$<'
	dvipdfmx '$(basename $<).dvi'

zip: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	zip -q -r -9 $(ARCHIVEPREFIX)docs-$(FMT).zip $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

tar: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	tar cf $(ARCHIVEPREFIX)docs-$(FMT).tar $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

bz2: tar
	bzip2 -9 -k $(ARCHIVEPREFIX)docs-$(FMT).tar

# The number of LaTeX runs is quite conservative, but I don't expect it
# to get run often, so the little extra time won't hurt.
%.dvi: %.tex
	latex $(LATEXOPTS) '$<'
	latex $(LATEXOPTS) '$<'
	latex $(LATEXOPTS) '$<'
	-makeindex -s python.ist '$(basename $<).idx'
	latex $(LATEXOPTS) '$<'
	latex $(LATEXOPTS) '$<'

%.pdf: %.tex
	pdflatex $(LATEXOPTS) '$<'
	pdflatex $(LATEXOPTS) '$<'
	pdflatex $(LATEXOPTS) '$<'
	-makeindex -s python.ist '$(basename $<).idx'
	pdflatex $(LATEXOPTS) '$<'
	pdflatex $(LATEXOPTS) '$<'

clean:
	rm -f *.dvi *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla

.PHONY: all all-pdf all-dvi all-ps clean

=== debian/changelog ===
s3ql (1.5-1) unstable; urgency=low

  * New upstream release.
  * Don't crash when using Google Storage backend. Closes: #646232.
  * Use dh_sphinxdoc.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 24 Oct 2011 19:16:12 -0400

s3ql (1.4-1) unstable; urgency=low

  * New upstream release.

  * Depend on fuse | fusebsd. Closes: #634337.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 06 Oct 2011 11:20:25 -0400

s3ql (1.2-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-llfuse >= 0.36, API was changed in non-backwards
    compatible way.
  * Depend on Python >= 2.6.6, previous versions unusable due to
    Python bug 6312.
  * Don't ship our own version of underscore JavaScript library, depend
    on libjs-underscore package instead.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 28 Sep 2011 21:00:04 -0400

s3ql (1.0.1-2) unstable; urgency=low

  * Install pcp as parallel-cp to avoid file name conflict with
    pcp ("Performance Co-Pilot") package. Closes: #632473.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Jul 2011 10:44:00 -0400

s3ql (1.0.1-1) unstable; urgency=low

  * First official debian release. Closes: #626651

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 01 Jul 2011 14:02:17 -0400

=== debian/control ===
Source: s3ql
Section: misc
X-Python-Version: >= 2.6.6
Priority: optional
Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
           Laszlo Boszormenyi <gcs@debian.hu>
Build-Depends: debhelper (>= 8),
               python (>= 2.6.6-3~),
               python-setuptools (>= 0.6.14),
               python-apsw (>= 3.7.0),
               libsqlite3-0 (>= 3.7.0),
               python-sphinx (>= 1.0.7+dfsg),
               python-argparse,
               python-llfuse (>= 0.36),
               python-pycryptopp,
               python-paramiko,
               python-lzma (>= 0.5.3),
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/s3ql/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/

Package: s3ql
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         ${sphinxdoc:Depends},
         python-apsw (>= 3.7.0),
         libsqlite3-0 (>= 3.7.0),
         python-lzma (>= 0.5.3),
         python-paramiko,
         python-pycryptopp,
         python-setuptools,
         fuse | fuse4bsd,
         psmisc,
         python-argparse,
         python-llfuse (>= 0.36)
Description: Full-featured file system for online data storage
 S3QL is a file system that stores all its data online. It supports
 online storage services like Amazon S3 as well as arbitrary FTP or
 SFTP servers. It effectively provides you with a hard disk of
 infinite capacity that can be accessed from any computer with
 internet access.
 .
 S3QL has been designed mainly for backup and archival purposes and
 many of its features are especially geared towards this. However,
 since S3QL is providing a standard UNIX file system, it can in
 principle be used for any other application as well.
 .
 S3QL is designed to favor simplicity and elegance over performance
 and feature-richness. Care has been taken to make the source code as
 readable and serviceable as possible. Solid error detection and error
 handling have been included from the very first line, and S3QL comes
 with extensive automated test cases for all its components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs Changes.txt

override_dh_auto_build:
	python setup.py build_sphinx build

override_dh_auto_install:
	python setup.py install --root=debian/s3ql --install-layout=deb \
               --install-lib=/usr/share/s3ql --install-scripts=/usr/share/s3ql

override_dh_link:
	dh_link
	# Don't link scripts ending in .py 
	for entry in debian/s3ql/usr/share/s3ql/*; do \
	    if [ -d "$$entry" ] || [ ! -x "$$entry" ] \
               || [ "$${entry%.py}" != "$$entry" ]; then \
               continue; \
            fi; \
            ln -s ../share/s3ql/`basename "$$entry"` \
                  "debian/s3ql/usr/bin/`basename \"$$entry\"`"; \
        done

override_dh_install:
	dh_install
	# Rename to avoid conflict with pcp package
	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)

override_dh_auto_clean:
	# We don't want to call setup.py clean, because this
	# requires a number of (potentially uninstalled) build-dependencies.
	rm -rf dist setup.log build doc

## s3ql 1.7

=== debian/changelog ===
s3ql (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 27 Nov 2011 14:40:58 -0500

s3ql (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 22 Nov 2011 11:04:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: s3ql
 Section: misc
-X-Python-Version: >= 2.6.6
 Priority: optional
+X-Python-Version: >= 2.6
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
 Build-Depends: debhelper (>= 8),
-               python (>= 2.6.6-3~),
+               python-dev (>= 2.6.6-3~),
+               python-dbg,
                python-setuptools (>= 0.6.14),
                python-apsw (>= 3.7.0),
-               libsqlite3-0 (>= 3.7.0),
+               libsqlite3-dev (>= 3.7.0),
                python-sphinx (>= 1.0.7+dfsg),
                python-argparse,
+               python-unittest2,
                python-llfuse (>= 0.36),
                python-pycryptopp,
                python-paramiko,
@@ -19,15 +21,18 @@
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-latex-extra,
-               texlive-fonts-recommended
+               texlive-fonts-recommended,
+               cython (>= 0.15.1)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/s3ql/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
 
 Package: s3ql
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Architecture: any
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          ${sphinxdoc:Depends},
          python-apsw (>= 3.7.0),
          libsqlite3-0 (>= 3.7.0),
@@ -35,7 +40,7 @@
          python-paramiko,
          python-pycryptopp,
          python-setuptools,
-         fuse | fuse4bsd,
+         fuse [linux-any] | fuse4bsd [kfreebsd-any],
          psmisc,
          python-argparse,
          python-llfuse (>= 0.36)
@@ -56,3 +61,33 @@
  readable and serviceable as possible. Solid error detection and error
  handling have been included from the very first line, and S3QL comes
  with extensive automated test cases for all its components.
+
+Package: s3ql-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Recommends: python-dbg
+Depends: s3ql (= ${binary:Version}), 
+         ${shlibs:Depends}, 
+         ${misc:Depends}
+Description: Full-featured file system for online data storage (debugging symbols)
+ S3QL is a file system that stores all its data online. It supports
+ online storage services like Amazon S3 as well as arbitrary FTP or
+ SFTP servers. It effectively provides you with a hard disk of
+ infinite capacity that can be accessed from any computer with
+ internet access.
+ .
+ S3QL has been designed mainly for backup and archival purposes and
+ many of its features are especially geared towards this. However,
+ since S3QL is providing a standard UNIX file system, it can in
+ principle be used for any other application as well.
+ .
+ S3QL is designed to favor simplicity and elegance over performance
+ and feature-richness. Care has been taken to make the source code as
+ readable and serviceable as possible. Solid error detection and error
+ handling have been included from the very first line, and S3QL comes
+ with extensive automated test cases for all its components.
+ .
+ This package contains the debugging symbols as well as the extension
+ built for the Python 2 debug interpreter.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build: build-stamp

build-stamp: build_cython build-python build_sphinx 
	touch $@

build_cython:
	dh_testdir
	python setup.py build_cython
	touch $@

build-python: 
	dh_testdir
	python-dbg setup.py build -g
	python setup.py build -g
	python setup.py test
	touch $@

build_sphinx:
	dh_testdir
	python setup.py build_ext --inplace
	python setup.py build_sphinx
	touch $@

override_dh_auto_install: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Note: Install non -dbg last, so that scripts don't get a -dbg interpreter
	python-dbg setup.py install --force --root=debian/tmp \
               --install-lib=/usr/lib/s3ql \
               --install-scripts=/usr/lib/s3ql \
               --no-compile -O0 --install-layout=deb

	python setup.py install --force --root=debian/tmp \
               --install-lib=/usr/lib/s3ql \
               --install-scripts=/usr/lib/s3ql \
               --no-compile -O0 --install-layout=deb

	# It would be nicer to install in /usr/share/s3ql and just move
	# the arch-dependent .so to /usr/lib, but then python doesn't
	# find them. If we install symlinks instead (which the code below
	# does), gdb does not find the corresponding debugging extensions
	# because they end up in /usr/lib/debug/usr/lib/.
	#find debian/tmp/usr/share/ -name "*.so" -printf "%P\n" | \
	#while read file; do \
	#	mkdir -p `dirname "debian/tmp/usr/lib/$${file}"`; \
	#	mv "debian/tmp/usr/share/$${file}" "debian/tmp/usr/lib/$${file}"; \
	#	dh_link -ptmp "/usr/lib/$${file}" "/usr/share/$${file}"; \
	#done

override_dh_install:
	dh_install

	# Rename to avoid conflict with pcp package
	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)

        # Install debugging extension and remove from regular package
	(cd debian/s3ql; \
            find . -name "*_d.so" -printf "%P\0" -delete) \
            | xargs -0 dh_install --autodest -ps3ql-dbg

override_dh_link:
	rm -rf debian/s3ql-dbg/usr/share/doc/s3ql-dbg
	dh_link

	# Link all executable files not ending in .py into /usr/bin
	for entry in debian/s3ql/usr/lib/s3ql/*; do \
	    if [ -d "$$entry" ] || [ ! -x "$$entry" ] \
               || [ "$${entry%.py}" != "$$entry" ]; then \
               continue; \
            fi; \
            ln -s ../lib/s3ql/`basename "$$entry"` \
                  "debian/s3ql/usr/bin/`basename \"$$entry\"`"; \
        done

override_dh_auto_clean:
	# We don't want to call setup.py clean, because this
	# requires a number of (potentially uninstalled) build-dependencies.
	rm -rf dist setup.log build doc src/s3ql/*.so
	rm -rf build-python* build_cython build_sphinx build-stamp

override_dh_strip:
	dh_strip -ps3ql --dbg-package=s3ql-dbg

## s3ql 1.8.1

=== debian/changelog ===
s3ql (1.8.1-1) unstable; urgency=low

  * Add versioned depends on python-argparse. Closes: #652751.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 05 Dec 2011 20:36:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: s3ql
 Section: misc
 Priority: optional
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.6.6
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
@@ -12,11 +12,10 @@
                python-apsw (>= 3.7.0),
                libsqlite3-dev (>= 3.7.0),
                python-sphinx (>= 1.0.7+dfsg),
-               python-argparse,
+               python-argparse (>= 1.1),
                python-unittest2,
-               python-llfuse (>= 0.36),
+               python-llfuse (>= 0.37),
                python-pycryptopp,
-               python-paramiko,
                python-lzma (>= 0.5.3),
                texlive-latex-base,
                texlive-latex-recommended,
@@ -34,16 +33,13 @@
          ${python:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
-         python-apsw (>= 3.7.0),
          libsqlite3-0 (>= 3.7.0),
-         python-lzma (>= 0.5.3),
-         python-paramiko,
-         python-pycryptopp,
-         python-setuptools,
          fuse [linux-any] | fuse4bsd [kfreebsd-any],
          psmisc,
-         python-argparse,
-         python-llfuse (>= 0.36)
+         python-argparse (>= 1.1),
+         python-llfuse (>= 0.37),
+         python-apsw (>= 3.7.0),
+         python-lzma (>= 0.5.3)
 Description: Full-featured file system for online data storage
  S3QL is a file system that stores all its data online. It supports
  online storage services like Amazon S3 as well as arbitrary FTP or
@@ -66,9 +62,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Recommends: python-dbg
-Depends: s3ql (= ${binary:Version}), 
-         ${shlibs:Depends}, 
+Recommends: python-dbg,
+            python-llfuse-dbg,
+            python-apsw-dbg,
+            python-pycryptopp-dbg,
+            python-lzma-dbg
+Depends: s3ql (= ${binary:Version}),
+         ${python:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: Full-featured file system for online data storage (debugging symbols)
  S3QL is a file system that stores all its data online. It supports
@@ -90,4 +91,3 @@
  .
  This package contains the debugging symbols as well as the extension
  built for the Python 2 debug interpreter.
-

## s3ql 1.9

=== debian/changelog ===
s3ql (1.9-1) unstable; urgency=low

  * Depend on python >= 2.7 (now required by upstream). Closes: #653641.
  * New upstream release.
  * Dropped obsolete argparse.diff patch.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 21 Jan 2012 13:38:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: s3ql
 Section: misc
 Priority: optional
-X-Python-Version: >= 2.6.6
+X-Python-Version: >= 2.7
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
 Build-Depends: debhelper (>= 8),
-               python-dev (>= 2.6.6-3~),
+               python-dev (>= 2.7),
                python-dbg,
                python-setuptools (>= 0.6.14),
                python-apsw (>= 3.7.0),
                libsqlite3-dev (>= 3.7.0),
                python-sphinx (>= 1.0.7+dfsg),
-               python-argparse (>= 1.1),
+               python (>= 2.7), 
                python-unittest2,
                python-llfuse (>= 0.37),
                python-pycryptopp,
@@ -36,7 +36,6 @@
          libsqlite3-0 (>= 3.7.0),
          fuse [linux-any] | fuse4bsd [kfreebsd-any],
          psmisc,
-         python-argparse (>= 1.1),
          python-llfuse (>= 0.37),
          python-apsw (>= 3.7.0),
          python-lzma (>= 0.5.3)

## s3ql 1.10

=== debian/changelog ===
s3ql (1.10-1) unstable; urgency=low

  * Bumped standards to 3.9.3, no changes required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 24 Feb 2012 21:51:01 -0500

## s3ql 1.11.1

=== debian/changelog ===
s3ql (1.11.1-3+deb7u1) wheezy-security; urgency=high

  * SECURITY UPDATE for CVE-2014-0485 remote code execution vulnerability.

    For non-encrypted file systems, an attacker with control over the
    communication with the storage backend or the ability to
    manipulate the data stored in the backend was able to trigger
    execution of arbitrary code by mount.s3ql, fsck.s3ql, mkfs.s3ql
    and s3qladm.

    Encrypted file systems were protected against this if the attacker
    did not know the file system passphrase. Mounting an encrypted
    file system prepared by an attacker (which is possible if the
    attacker shares the file system passphrase) thus allowed the
    attacker to execute arbitrary code even when using encryption.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 19 Aug 2014 20:44:17 -0700

s3ql (1.11.1-3) testing-proposed-updates; urgency=low

  * Call fflush() on FILE stream before repositioning underlying
    file descriptor. Closes: 701350.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 24 Feb 2013 18:51:42 -0800

s3ql (1.11.1-2) unstable; urgency=low

  * Add dependency on python-pkg-resources. Closes: 672916.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 15 May 2012 18:41:38 -0400

s3ql (1.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 04 May 2012 11:12:29 -0400

s3ql (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 29 Apr 2012 15:22:56 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                texlive-latex-extra,
                texlive-fonts-recommended,
                cython (>= 0.15.1)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/s3ql/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
@@ -38,7 +38,8 @@
          psmisc,
          python-llfuse (>= 0.37),
          python-apsw (>= 3.7.0),
-         python-lzma (>= 0.5.3)
+         python-lzma (>= 0.5.3),
+         python-pkg-resources
 Description: Full-featured file system for online data storage
  S3QL is a file system that stores all its data online. It supports
  online storage services like Amazon S3 as well as arbitrary FTP or

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_testdir
 	python-dbg setup.py build -g
 	python setup.py build -g
-	python setup.py test
 	touch $@
 
 build_sphinx:
@@ -46,17 +45,10 @@
                --install-scripts=/usr/lib/s3ql \
                --no-compile -O0 --install-layout=deb
 
-	# It would be nicer to install in /usr/share/s3ql and just move
-	# the arch-dependent .so to /usr/lib, but then python doesn't
-	# find them. If we install symlinks instead (which the code below
-	# does), gdb does not find the corresponding debugging extensions
-	# because they end up in /usr/lib/debug/usr/lib/.
-	#find debian/tmp/usr/share/ -name "*.so" -printf "%P\n" | \
-	#while read file; do \
-	#	mkdir -p `dirname "debian/tmp/usr/lib/$${file}"`; \
-	#	mv "debian/tmp/usr/share/$${file}" "debian/tmp/usr/lib/$${file}"; \
-	#	dh_link -ptmp "/usr/lib/$${file}" "/usr/share/$${file}"; \
-	#done
+override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	python setup.py test
+endif
 
 override_dh_install:
 	dh_install
@@ -64,10 +56,12 @@
 	# Rename to avoid conflict with pcp package
 	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)
 
-        # Install debugging extension and remove from regular package
+	# Install debugging extension and remove from regular package
 	(cd debian/s3ql; \
-            find . -name "*_d.so" -printf "%P\0" -delete) \
-            | xargs -0 dh_install --autodest -ps3ql-dbg
+	    find . -name "*_d.so" -or \
+	           -regextype posix-egrep -regex ".+-[a-z0-9]*d[a-z]*.so" \
+	           -printf "%P\0" -delete) \
+	| xargs -0 dh_install --autodest -ps3ql-dbg
 
 override_dh_link:
 	rm -rf debian/s3ql-dbg/usr/share/doc/s3ql-dbg
@@ -90,4 +84,6 @@
 	rm -rf build-python* build_cython build_sphinx build-stamp
 
 override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ps3ql --dbg-package=s3ql-dbg
+endif

## s3ql 1.12

=== debian/changelog ===
s3ql (1.12-1ubuntu0.1) raring-proposed; urgency=low

  * Call fflush() on FILE stream before repositioning underlying
    file descriptor. LP: #1179281.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 24 Feb 2013 18:51:42 -0800

s3ql (1.12-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper compatibility level to 9 to get support for
    dpkg-buildflags.
  * Added lintian override for hardening-no-fortify-functions,
    this is a false positive.
  * Added patches/buildd-fix.diff to prevent errors when trying
    to write logs during autobuilding.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 05 Sep 2012 20:22:18 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                python-dev (>= 2.7),
                python-dbg,
                python-setuptools (>= 0.6.14),

## s3ql 1.14

=== debian/changelog ===
s3ql (1.14-1) unstable; urgency=low

  * Update standards version to 3.9.4, no other changes
    required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 09 Apr 2013 19:08:15 -0700

s3ql (1.13.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed metadata corruption with recent eglibc (triggered test
    failure on build). Closes: #701350

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 23 Feb 2013 17:46:56 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
 Build-Depends: debhelper (>= 9),
@@ -22,8 +21,9 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               cython (>= 0.15.1)
-Standards-Version: 3.9.3
+               cython (>= 0.15.1),
+               python-pytest
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/s3ql/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/

## s3ql 1.15

=== debian/changelog ===
s3ql (1.15-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Nikolaus Rath ]
  * New upstream release.
  * Added autopkgtest data.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 15 Jun 2013 15:06:37 -0700

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: misc
 Priority: optional
 X-Python-Version: >= 2.7
+XS-Testsuite: autopkgtest
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
            Laszlo Boszormenyi <gcs@debian.hu>
@@ -25,7 +26,7 @@
                python-pytest
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/s3ql/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/s3ql/trunk
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
 
 Package: s3ql

=== debian/watch ===
# watch control file for uscan
version=3
opts=downloadurlmangle=s/^http:\/\/code.google.com\/\//http:\/\// \
  http://code.google.com/p/s3ql/downloads/list \
  (?:.+)/files/s3ql-(1\..+).tar.bz2 \
  debian

## s3ql 1.16

=== debian/changelog ===
s3ql (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 12 Jul 2013 21:11:01 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XS-Testsuite: autopkgtest
 Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
-           Laszlo Boszormenyi <gcs@debian.hu>
+           Laszlo Boszormenyi <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
                python-dev (>= 2.7),
                python-dbg,

=== debian/tests/control ===
Tests: upstream-standard
Depends: python-pytest, rsync, s3ql

# This is really the same test suite, but when run with root
# access (or permission to mount fuse file systems), additional
# tests will be run.
Tests: upstream-with-fuse
Depends: python-pytest, rsync, s3ql
Restrictions: needs-root

=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,3 @@
   http://code.google.com/p/s3ql/downloads/list \
   (?:.+)/files/s3ql-(1\..+).tar.bz2 \
   debian
-

## s3ql 2.5

=== debian/changelog ===
s3ql (2.5-2) unstable; urgency=low

  * Do not try to write logfiles into $HOME when running self tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 20 Oct 2013 11:38:32 -0700

s3ql (2.5-1) unstable; urgency=low

  * Added patch for Sphinx 1.1.3 compatibility.
  * New upstream release.
  * Fixed autopkgtests (this time a missing PYTHONPATH, LP: #1223514).

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 27 Aug 2013 20:17:06 -0700

s3ql (1.16-2) unstable; urgency=low

  * Updated uploader email address.
  * Removed obsolete lintian override.
  * Extended clean target, re-build should now work.
  * Updated package description.
  * Bump build dependency on Cython to 0.17
  * Fixed autopkgtests to use installed S3QL.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 18 Jul 2013 21:41:29 -0700

## s3ql 2.7

=== debian/changelog ===
s3ql (2.7-1) unstable; urgency=low

  * New upstream release.
  * Estimate clock resolution more conservatively when running unit
    tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 16 Dec 2013 20:21:41 -0800

=== debian/control ===
Source: s3ql
Section: misc
Priority: optional
X-Python-Version: >= 3.3
XS-Testsuite: autopkgtest
Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
           Laszlo Boszormenyi <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               python3 (>= 3.3),
               python3-dev (>= 3.3),
               python3-dbg,
               python3-setuptools (>= 0.6.14),
               python3-apsw (>= 3.7.0),
               python3-sphinx (>= 1.1.3),
               python3-llfuse (>= 0.39),
               python3-crypto,
               python3-pytest (>= 2.3.3),
               cython3 (>= 0.17),
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libsqlite3-dev (>= 3.7.0)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/s3ql/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/

Package: s3ql
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         fuse [linux-any] | fuse4bsd [kfreebsd-any],
         psmisc,
         python3-pkg-resources
Description: Full-featured file system for online data storage
 S3QL is a file system that stores all its data online using storage
 services like Google Storage, Amazon S3 or OpenStack. S3QL
 effectively provides a hard disk of dynamic, infinite capacity that
 can be accessed from any computer with internet access.
 .
 S3QL is a standard conforming, full featured UNIX file system that is
 conceptually indistinguishable from any local file
 system. Furthermore, S3QL has additional features like compression,
 encryption, data de-duplication, immutable trees and snapshotting
 which make it especially suitable for online backup and archival.
 .
 In addition to accessing online storage services directoly, S3QL can
 also store its data underneath a regular mount point. This enables
 the use of S3QL with e.g. NFS, CIFS or sftp servers.
 .
 S3QL is designed to favor simplicity and elegance over performance
 and feature-creep. Care has been taken to make the source code as
 readable and serviceable as possible. Solid error detection and error
 handling have been included from the very first line, and S3QL comes
 with extensive automated test cases.

Package: s3ql-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: python3-dbg,
            python3-llfuse-dbg,
            python3-apsw-dbg,
            python3-crypto-dbg,
Depends: s3ql (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Full-featured file system for online data storage (debugging symbols)
 S3QL is a file system that stores all its data online using storage
 services like Google Storage, Amazon S3 or OpenStack. S3QL
 effectively provides a hard disk of dynamic, infinite capacity that
 can be accessed from any computer with internet access.
 .
 S3QL is a standard conforming, full featured UNIX file system that is
 conceptually indistinguishable from any local file
 system. Furthermore, S3QL has additional features like compression,
 encryption, data de-duplication, immutable trees and snapshotting
 which make it especially suitable for online backup and archival.
 .
 In addition to accessing online storage services directoly, S3QL can
 also store its data underneath a regular mount point. This enables
 the use of S3QL with e.g. NFS, CIFS or sftp servers.
 .
 S3QL is designed to favor simplicity and elegance over performance
 and feature-creep. Care has been taken to make the source code as
 readable and serviceable as possible. Solid error detection and error
 handling have been included from the very first line, and S3QL comes
 with extensive automated test cases.
 .
 This package contains the debugging symbols as well as the extension
 built for the Python 3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1


# NOTE:
# Anyone willing to convert the package to pure debhelper
# (i.e., without dh sequencer) is very welcome to do so.

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_build: build-stamp

build-stamp: build_cython build-python build_sphinx
	touch $@

build_cython:
	dh_testdir
	python3 setup.py build_cython
	touch $@

build-python: 
	dh_testdir
	python3-dbg setup.py build -g
	python3 setup.py build -g
	touch $@

build_sphinx:
	dh_testdir
	python3 setup.py build_ext --inplace build_sphinx
	touch $@

override_dh_auto_install: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Note: Install non -dbg last, so that scripts don't get a -dbg interpreter
	python3-dbg setup.py install --force --root=debian/tmp \
               --install-lib=/usr/lib/s3ql \
               --install-scripts=/usr/lib/s3ql \
               --no-compile -O0 --install-layout=deb

	python3 setup.py install --force --root=debian/tmp \
               --install-lib=/usr/lib/s3ql \
               --install-scripts=/usr/lib/s3ql \
               --no-compile -O0 --install-layout=deb

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext --inplace
	# Some tests will try to create log files in $HOME
	mkdir -p debian/tmphome
	HOME=$(CURDIR)/debian/tmphome py.test-3 tests/
endif

override_dh_install:
	dh_install

	# Rename to avoid conflict with pcp package
	(cd debian/s3ql/usr/share/man/man1/; mv pcp.1 parallel-cp.1)

	# Install debugging extension and remove from regular package
	(cd debian/s3ql; \
	    find . -name "*_d.so" -or \
	           -regextype posix-egrep -regex ".+-[a-z0-9]*d[a-z]*.so" \
	           -printf "%P\0" -delete) \
	| xargs -0 dh_install --autodest -ps3ql-dbg

	# Link all executable files not ending in .py into /usr/bin 
	mkdir -p debian/s3ql/usr/bin/
	for entry in debian/s3ql/usr/lib/s3ql/*; do \
	    if [ -d "$$entry" ] || [ ! -x "$$entry" ] \
               || [ "$${entry%.py}" != "$$entry" ]; then \
               continue; \
            fi; \
            ln -s ../lib/s3ql/`basename "$$entry"` \
                  "debian/s3ql/usr/bin/`basename \"$$entry\"`"; \
        done

override_dh_link:
	rm -rf debian/s3ql-dbg/usr/share/doc/s3ql-dbg
	dh_link


# We don't want to call setup.py clean, because this
# requires a number of (potentially uninstalled) build-dependencies.
override_dh_auto_clean:
	rm -rf build doc tests/test.log src/s3ql/deltadump.c contrib/*.1
	find \( \( -name '*.egg-info' -type d \) \
	     -o \( -name __pycache__  -type d \) \
	     -o \( -name '*.so' -type f \) \
	     \) -prune -exec rm -rf '{}' +
	rm -rf build-python build_cython build_sphinx build-stamp
	rm -rf debian/tmphome

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ps3ql --dbg-package=s3ql-dbg
endif

=== debian/tests/control ===
Tests: upstream-standard
Depends: python3-pytest, rsync, s3ql

# This is really the same test suite, but when run with root
# access (or permission to mount fuse file systems), additional
# tests will be run.
Tests: upstream-with-fuse
Depends: python3-pytest, rsync, s3ql
Restrictions: needs-root

=== debian/watch ===
# watch control file for uscan
version=3
opts=downloadurlmangle=s/^http:\/\/code.google.com\/\//http:\/\// \
  http://code.google.com/p/s3ql/downloads/list \
  (?:.+)/files/s3ql-(.+).tar.bz2 \
  debian

## s3ql 2.11.1+dfsg

=== debian/changelog ===
s3ql (2.11.1+dfsg-3) jessie; urgency=medium

  * Add support to upgrade from file systems created with the 
    S3QL version in Debian Wheezy. Closes: #792685.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 19 Jul 2015 19:30:10 -0700

s3ql (2.11.1+dfsg-2) unstable; urgency=medium

  * Fixed a problem with fsck.s3ql aborting with an
    "apsw.ConstraintError" or incorrectly considering storage
    objects as missing when the connection to remote server is
    interrupted. Closes: #771452.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 02 Dec 2014 21:44:27 -0800

s3ql (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/cve_2014_0485.diff, integrated upstream.
  * Dropped patches/fix_failsafe_test_race.diff, integrated upstream.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 04 Sep 2014 18:28:41 -0700

s3ql (2.10.1+dfsg-4) unstable; urgency=high

  * SECURITY UPDATE for CVE-2014-0485.

    A remote code execution vulnerability was fixed.

    An attacker with control over the communication with the storage
    backend or the ability to manipulate the data stored in the
    backend was able to trigger execution of arbitrary code by
    mount.s3ql, fsck.s3ql, mkfs.s3ql, s3qladm and s3ql_verify. Both
    encrypted and unencrypted file systems were vulnerable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 25 Aug 2014 17:21:09 -0700

s3ql (2.10.1+dfsg-3) unstable; urgency=medium

  * Added fix_failsafe_test_race.diff. Closes: #758013.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 20 Aug 2014 17:30:03 -0700

s3ql (2.10.1+dfsg-2) unstable; urgency=medium

  * Bumped python3-dugong dependency to 3.3 to fix build failures
    on kFreeBSD (and presumably also similar problems when running
    the software on both kFreeBSD and Linux).

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 06 Aug 2014 18:55:19 -0700

s3ql (2.10.1+dfsg-1) unstable; urgency=medium

  * Made system clock resolution heuristic in unittests even more
    conservative, there are still occasional build failures on i386.
  * New upstream release.
  * Dropped patches (integrated upstream):
    - C_locale_compat.diff
    - kfreebsd_compat.diff
    - sphinx_build_locale_fix.diff
  * Bumped python3-dugong dependency to 3.2
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Aug 2014 20:49:06 -0700

s3ql (2.9+dfsg-2) unstable; urgency=medium

  * Cherry-picked kFreeBSD compatibility patch from upstream
    (Closes: #755358)
  * Cherry-picked upstream patch to support testing with C
    locale.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 19 Jul 2014 20:24:55 -0700

s3ql (2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix automatic self test when running as root (Closes: #745476)
  * Dropped patches/sphinx-1.1.1-compat.diff (no longer required now
    that Sphinx 1.2 is in unstable).
  * Added patches/sphinx_build_locale_fix.diff (cherry-picked from upstream)
    to make documentation build work independent of system locale.
  * Added patches/check_dev_fuse_perms.diff to avoid running FUSE
    tests on continuous integration servers where /dev/fuse is
    not accessible.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 28 Jun 2014 12:30:45 -0700

s3ql (2.8.1+dfsg-1) unstable; urgency=low

  * Updated upstream project URL.
  * Added upstream PGP key and configured watch file for automatic
    verification.
  * New upstream release.
  * Do not crash when building with snapshot Cython versions
    (Closes: #742760)
  * Update Standards-Version to 3.9.5 (no changes needed).
  * Repackaged to exclude minified javascript files.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 14 Mar 2014 19:11:06 -0700

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: optional
 X-Python-Version: >= 3.3
 XS-Testsuite: autopkgtest
-Maintainer: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Nikolaus Rath <Nikolaus@rath.org>,
-           Laszlo Boszormenyi <gcs@debian.org>
+Maintainer: Nikolaus Rath <Nikolaus@rath.org>
+Uploaders: Debian Python Apps Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                python3 (>= 3.3),
                python3-dev (>= 3.3),
                python3-dbg,
                python3-setuptools (>= 0.6.14),
                python3-apsw (>= 3.7.0),
-               python3-sphinx (>= 1.1.3),
+               python3-sphinx (>= 1.2),
                python3-llfuse (>= 0.39),
                python3-crypto,
+               python3-requests,
+               python3-dugong (>= 3.3),
                python3-pytest (>= 2.3.3),
+               python3-defusedxml,
                cython3 (>= 0.17),
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
                libsqlite3-dev (>= 3.7.0)
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/s3ql/
+Standards-Version: 3.9.5
+Homepage: https://bitbucket.org/nikratio/s3ql/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 # NOTE:
 # Anyone willing to convert the package to pure debhelper
-# (i.e., without dh sequencer) is very welcome to do so.
+# (i.e., without dh sequencer) and/or pybuild is very 
+# welcome to do so.
 
 %:
 	dh $@ --with python3,sphinxdoc
@@ -101,3 +102,10 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ps3ql --dbg-package=s3ql-dbg
 endif
+
+.PHONY: get-orig-source
+get-orig-source:
+	# Work around bug #749225
+	PERL_LWP_SSL_VERIFY_HOSTNAME=0 \
+	uscan --rename --destdir=$(CURDIR) --repack --force-download \
+	      --download-current-version

## s3ql 2.13+dfsg

=== debian/changelog ===
s3ql (2.13+dfsg-2) unstable; urgency=medium

  * Tighten dependency on python3-dugong, python3-apsw, and
    python3-llfuse. Closes: #778487.

  * Added missing build-dependency on python3-llfuse-dbg.
    Closes: #790525.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 01 Jul 2015 02:33:26 -0800

s3ql (2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/fix_test_check_objects_temp.diff (fixed upstream).
  * Dropped patches/debug_test_thread_hang.diff (fixed upstream).
  * Fixed a bug that caused fsck.s3ql to either abort with a
    "apsw.ConstraintError" or to incorrectly consider storage objects
    as missing when the connection to remote server is interrupted
    while retrieving the object list. Closes: #771452.
  * Fixed a problem where mount.s3ql would crash when unmouting the
    file system because it could not delete the cache directory. This
    could happen when the file system was not unmounted cleanly, but
    fsck.s3ql was then run on a different system (or using a different
    cache directory). Closes: #772052.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 31 Jan 2015 20:16:12 -0800

s3ql (2.12+dfsg-2) experimental; urgency=medium

  * Added patches/debug_test_thread_hang.diff to debug occasional test
    failures on buildds.
  * Added patches/fix_test_check_objects_temp.diff (cherry-picked
    upstream) to fix occasional test failures during build.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 10 Nov 2014 18:58:07 -0800

s3ql (2.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 (no changes needed).
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 09 Nov 2014 15:05:23 -0800

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                python3-apsw (>= 3.7.0),
                python3-sphinx (>= 1.2),
                python3-llfuse (>= 0.39),
+               python3-llfuse-dbg (>= 0.39),
                python3-crypto,
                python3-requests,
-               python3-dugong (>= 3.3),
+               python3-dugong (>= 3.4),
                python3-pytest (>= 2.3.3),
                python3-defusedxml,
                cython3 (>= 0.17),
@@ -24,7 +25,7 @@
                texlive-latex-extra,
                texlive-fonts-recommended,
                libsqlite3-dev (>= 3.7.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/nikratio/s3ql/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/s3ql/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/s3ql/trunk/
